<schema xmlns:KGN="http://www.kogeneracja.com.pl" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" targetNamespace="http://www.kogeneracja.com.pl" xmlns="http://www.w3.org/2001/XMLSchema">
  <import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase" />
  <import schemaLocation="http://www.xbrl.org/2006/xbrldi-2006.xsd" namespace="http://xbrl.org/2006/xbrldi" />
  <import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <annotation>
    <appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900IIZX8UAI8MJ703-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900IIZX8UAI8MJ703-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900IIZX8UAI8MJ703-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900IIZX8UAI8MJ703-2023-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="529900IIZX8UAI8MJ703-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/GeneralInformation" id="GeneralInformation">
        <link:definition>General Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/BalanceSheet" id="BalanceSheet">
        <link:definition>Balance Sheet</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/IncomeStatement" id="IncomeStatement">
        <link:definition>Income Statement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/ChangesinEquity" id="ChangesinEquity">
        <link:definition>Changes in Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/ComprehensiveIncome" id="ComprehensiveIncome">
        <link:definition>Comprehensive Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/CashFlow" id="CashFlow">
        <link:definition>Cash Flow</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.kogeneracja.com.pl/role/Anchoring" id="Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <element name="KOGENERAChangeInCo2RightsPurchasedForRedemption" id="KGN_KOGENERAChangeInCo2RightsPurchasedForRedemption" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="KOGENERACO2EmissionAllowancesPurchasedForRedemption" id="KGN_KOGENERACO2EmissionAllowancesPurchasedForRedemption" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption" id="KGN_KOGENERACO2EmissionAllowancesPurchasedForShortTermRedemption" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="KOGENERAFundsReceivedUnderCashPooling" id="KGN_KOGENERAFundsReceivedUnderCashPooling" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="KOGENERAFundsTransferredUnderCashPooling" id="KGN_KOGENERAFundsTransferredUnderCashPooling" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="KOGENERAIncomeCostsFromCompensation" id="KGN_KOGENERAIncomeCostsFromCompensation" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="KOGENERAInterestAndDividends" id="KGN_KOGENERAInterestAndDividends" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="KOGENERALongTermLiabilitiesDueToLoansAndLeases" id="KGN_KOGENERALongTermLiabilitiesDueToLoansAndLeases" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="KOGENERANetBorrowings" id="KGN_KOGENERANetBorrowings" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="KOGENERANetCashPooling" id="KGN_KOGENERANetCashPooling" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="KOGENERAShortTermLiabilitiesDueToLoansAndLeases" id="KGN_KOGENERAShortTermLiabilitiesDueToLoansAndLeases" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="false" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
</schema>